--- old/usr/src/uts/common/Makefile.files	Wed Oct  5 00:33:31 2016
+++ new/usr/src/uts/common/Makefile.files	Wed Oct  5 00:33:31 2016
@@ -24,7 +24,7 @@
 # Copyright (c) 2011, 2014 by Delphix. All rights reserved.
 # Copyright (c) 2013 by Saso Kiselkov. All rights reserved.
 # Copyright 2015 Nexenta Systems, Inc.  All rights reserved.
-# Copyright 2016 Joyent, Inc.
+# Copyright 2015, Joyent, Inc.
 # Copyright 2016 Garrett D'Amore <garrett@damore.org>
 # Copyright 2016 Joyent, Inc.
 # Copyright 2016 OmniTI Computer Consulting, Inc.  All rights reserved.
@@ -284,7 +284,6 @@
 		rctl.o		\
 		rctlsys.o	\
 		readlink.o	\
-		refhash.o	\
 		refstr.o	\
 		rename.o	\
 		resolvepath.o	\
@@ -559,7 +558,6 @@
 		sctp_addr.o tn_ipopt.o tnet.o ip_netinfo.o \
 		sctp_misc.o
 IP_ILB_OBJS =	ilb.o ilb_nat.o ilb_conn.o ilb_alg_hash.o ilb_alg_rr.o
-IP_COMM_OBJS =	inet_hash.o
 
 IP_OBJS +=	igmp.o ipmp.o ip.o ip6.o ip6_asp.o ip6_if.o ip6_ire.o \
 		ip6_rts.o ip_if.o ip_ire.o ip_listutils.o ip_mroute.o \
@@ -576,8 +574,7 @@
 		$(IP_TCP_OBJS) \
 		$(IP_UDP_OBJS) \
 		$(IP_SCTP_OBJS) \
-		$(IP_ILB_OBJS) \
-		$(IP_COMM_OBJS)
+		$(IP_ILB_OBJS)
 
 IP6_OBJS +=	ip6ddi.o
 
@@ -597,6 +594,8 @@
 
 DATAFILT_OBJS += datafilt.o
 
+HTTPFILT_OBJS += httpfilt.o
+
 SPPP_OBJS +=	sppp.o sppp_dlpi.o sppp_mod.o s_common.o
 
 SPPPTUN_OBJS +=	sppptun.o sppptun_mod.o
@@ -694,15 +693,6 @@
 
 VNIC_OBJS +=	vnic_ctl.o vnic_dev.o
 
-OVERLAY_OBJS +=	overlay.o overlay_fm.o overlay_mux.o overlay_plugin.o \
-		overlay_prop.o overlay_target.o
-
-OVERLAY_VXLAN_OBJS +=	overlay_vxlan.o
-
-VND_OBJS +=	vnd.o frameio.o
-
-GSQUEUE_OBJS +=	gsqueue.o
-
 SIMNET_OBJS +=	simnet.o
 
 IB_OBJS +=	ibnex.o ibnex_ioctl.o ibnex_hca.o
@@ -1152,7 +1142,8 @@
 DEV_OBJS  +=	sdev_subr.o	sdev_vfsops.o	sdev_vnops.o	\
 		sdev_ptsops.o	sdev_zvolops.o	sdev_comm.o	\
 		sdev_profile.o	sdev_ncache.o	sdev_netops.o	\
-		sdev_ipnetops.o	sdev_vtops.o	sdev_plugin.o
+		sdev_ipnetops.o	\
+		sdev_vtops.o
 
 CTFS_OBJS +=	ctfs_all.o ctfs_cdir.o ctfs_ctl.o ctfs_event.o \
 		ctfs_latest.o ctfs_root.o ctfs_sym.o ctfs_tdir.o ctfs_tmpl.o
@@ -1169,13 +1160,8 @@
 HSFS_OBJS +=	hsfs_node.o	hsfs_subr.o	hsfs_vfsops.o	hsfs_vnops.o \
 		hsfs_susp.o	hsfs_rrip.o	hsfs_susp_subr.o
 
-HYPRLOFS_OBJS += hyprlofs_dir.o hyprlofs_subr.o \
-		hyprlofs_vnops.o hyprlofs_vfsops.o
-
 LOFS_OBJS +=	lofs_subr.o	lofs_vfsops.o	lofs_vnops.o
 
-LXPROC_OBJS +=	lxpr_subr.o	lxpr_vfsops.o	lxpr_vnops.o
-
 NAMEFS_OBJS +=	namevfs.o	namevno.o
 
 NFS_OBJS +=	nfs_client.o	nfs_common.o	nfs_dump.o \
@@ -1917,7 +1903,7 @@
 
 MXFE_OBJS += mxfe.o
 
-MPTSAS_OBJS += mptsas.o mptsas_impl.o mptsas_init.o \
+MPTSAS_OBJS += mptsas.o mptsas_hash.o mptsas_impl.o mptsas_init.o \
 		mptsas_raid.o mptsas_smhba.o
 
 SFE_OBJS += sfe.o sfe_util.o
@@ -2151,11 +2137,6 @@
 MR_SAS_OBJS = ld_pd_map.o mr_sas.o mr_sas_tbolt.o mr_sas_list.o
 
 #
-#	DR_SAS module
-#
-DR_SAS_OBJS = dr_sas.o
-
-#
 #	CPQARY3 module
 #
 CPQARY3_OBJS =	cpqary3.o cpqary3_noe.o cpqary3_talk2ctlr.o	\
@@ -2164,18 +2145,6 @@
 		cpqary3_bd.o
 
 #
-#	HP Smart Array driver module (smrt)
-#
-SMRT_OBJS =	smrt.o \
-		smrt_device.o \
-		smrt_interrupts.o \
-		smrt_commands.o \
-		smrt_logvol.o \
-		smrt_hba.o \
-		smrt_ciss_simple.o \
-		smrt_ciss.o
-
-#
 #	ISCSI_INITIATOR module
 #
 ISCSI_INITIATOR_OBJS =	chap.o iscsi_io.o iscsi_thread.o	\
@@ -2206,20 +2175,6 @@
 TPM_OBJS =	tpm.o tpm_hcall.o
 
 #
-# USB Fast ethernet drivers
-#
-USBGEM_OBJS = usbgem.o
-AXF_OBJS = axf_usbgem.o
-UDMF_OBJS = udmf_usbgem.o
-URF_OBJS = urf_usbgem.o
-UPF_OBJS = upf_usbgem.o
-
-#
-#	NFP objects
-#
-NFP_OBJS = hostif.o osif.o drvlist.o i21555.o i21285.o i21555d.o
-
-#
 #	BNXE objects
 #
 BNXE_OBJS +=	bnxe_cfg.o		\
--- old/usr/src/uts/common/Makefile.rules	Wed Oct  5 00:33:32 2016
+++ new/usr/src/uts/common/Makefile.rules	Wed Oct  5 00:33:32 2016
@@ -23,7 +23,6 @@
 # Copyright (c) 1991, 2010, Oracle and/or its affiliates. All rights reserved.
 # Copyright 2016 Garrett D'Amore <garrett@damore.org>
 # Copyright 2015 Nexenta Systems, Inc.  All rights reserved.
-# Copyright 2016 Joyent, Inc.
 # Copyright 2013 Saso Kiselkov. All rights reserved.
 # Copyright 2016 Joyent, Inc.
 #
@@ -98,10 +97,6 @@
 	$(COMPILE.c) -o $@ $<
 	$(CTFCONVERT_O)
 
-$(OBJS_DIR)/%.o:		$(COMMONBASE)/inet/%.c
-	$(COMPILE.c) -o $@ $<
-	$(CTFCONVERT_O)
-
 $(OBJS_DIR)/%.o:		$(COMMONBASE)/ucode/%.c
 	$(COMPILE.c) -o $@ $<
 	$(CTFCONVERT_O)
@@ -250,18 +245,10 @@
 	$(COMPILE.c) -o $@ $<
 	$(CTFCONVERT_O)
 
-$(OBJS_DIR)/%.o:		$(UTSBASE)/common/fs/hyprlofs/%.c
-	$(COMPILE.c) -o $@ $<
-	$(CTFCONVERT_O)
-
 $(OBJS_DIR)/%.o:		$(UTSBASE)/common/fs/lofs/%.c
 	$(COMPILE.c) -o $@ $<
 	$(CTFCONVERT_O)
 
-$(OBJS_DIR)/%.o:		$(UTSBASE)/common/fs/lxproc/%.c
-	$(COMPILE.c) -o $@ $<
-	$(CTFCONVERT_O)
-
 $(OBJS_DIR)/%.o:		$(UTSBASE)/common/fs/mntfs/%.c
 	$(COMPILE.c) -o $@ $<
 	$(CTFCONVERT_O)
@@ -773,10 +760,6 @@
 	$(COMPILE.c) -o $@ $<
 	$(CTFCONVERT_O)
 
-$(OBJS_DIR)/%.o:		$(UTSBASE)/common/io/dr_sas/%.c
-	$(COMPILE.c) -o $@ $<
-	$(CTFCONVERT_O)
-
 $(OBJS_DIR)/%.o:		$(UTSBASE)/common/io/efe/%.c
 	$(COMPILE.c) -o $@ $<
 	$(CTFCONVERT_O)
@@ -1005,10 +988,6 @@
 	$(COMPILE.c) -o $@ $<
 	$(CTFCONVERT_O)
 
-$(OBJS_DIR)/%.o:		$(UTSBASE)/common/io/nfp/%.c
-	$(COMPILE.c) -o $@ $<
-	$(CTFCONVERT_O)
-
 $(OBJS_DIR)/%.o:		$(UTSBASE)/common/io/nge/%.c
 	$(COMPILE.c) -o $@ $<
 	$(CTFCONVERT_O)
@@ -1028,14 +1007,6 @@
 $(OBJS_DIR)/%.o:		$(UTSBASE)/common/io/nxge/%.s
 	$(COMPILE.s) -o $@ $<
 
-$(OBJS_DIR)/%.o:		$(UTSBASE)/common/io/overlay/%.c
-	$(COMPILE.c) -o $@ $<
-	$(CTFCONVERT_O)
-
-$(OBJS_DIR)/%.o:		$(UTSBASE)/common/io/overlay/plugins/%.c
-	$(COMPILE.c) -o $@ $<
-	$(CTFCONVERT_O)
-
 $(OBJS_DIR)/%.o:		$(UTSBASE)/common/io/pci-ide/%.c
 	$(COMPILE.c) -o $@ $<
 	$(CTFCONVERT_O)
@@ -1132,10 +1103,6 @@
 	$(COMPILE.c) -o $@ $<
 	$(CTFCONVERT_O)
 
-$(OBJS_DIR)/%.o:		$(UTSBASE)/common/io/scsi/adapters/smrt/%.c
-	$(COMPILE.c) -o $@ $<
-	$(CTFCONVERT_O)
-
 $(OBJS_DIR)/%.o:		$(UTSBASE)/common/io/fibre-channel/ulp/%.c
 	$(COMPILE.c) -o $@ $<
 	$(CTFCONVERT_O)
@@ -1176,10 +1143,6 @@
 	$(COMPILE.c) -o $@ $<
 	$(CTFCONVERT_O)
 
-$(OBJS_DIR)/%.o:		$(UTSBASE)/common/io/gsqueue/%.c
-	$(COMPILE.c) -o $@ $<
-	$(CTFCONVERT_O)
-
 $(OBJS_DIR)/%.o:		$(UTSBASE)/common/io/sfe/%.c
 	$(COMPILE.c) -o $@ $<
 	$(CTFCONVERT_O)
@@ -1192,10 +1155,6 @@
 	$(COMPILE.c) -o $@ $<
 	$(CTFCONVERT_O)
 
-$(OBJS_DIR)/%.o:		$(UTSBASE)/common/io/vnd/%.c
-	$(COMPILE.c) -o $@ $<
-	$(CTFCONVERT_O)
-
 $(OBJS_DIR)/%.o:		$(UTSBASE)/common/io/uath/%.c
 	$(COMPILE.c) -o $@ $<
 	$(CTFCONVERT_O)
@@ -1320,30 +1279,6 @@
 	$(COMPILE.c) -o $@ $<
 	$(CTFCONVERT_O)
 
-$(OBJS_DIR)/%.o:		$(UTSBASE)/common/io/usbgem/%.c
-	$(COMPILE.c) -o $@ $<
-	$(CTFCONVERT_O)
-
-$(OBJS_DIR)/%.o:		$(UTSBASE)/common/io/axf/%.c
-	$(COMPILE.c) -o $@ $<
-	$(CTFCONVERT_O)
-
-$(OBJS_DIR)/%.o:		$(UTSBASE)/common/io/udf/%.c
-	$(COMPILE.c) -o $@ $<
-	$(CTFCONVERT_O)
-
-$(OBJS_DIR)/%.o:		$(UTSBASE)/common/io/udmf/%.c
-	$(COMPILE.c) -o $@ $<
-	$(CTFCONVERT_O)
-
-$(OBJS_DIR)/%.o:		$(UTSBASE)/common/io/upf/%.c
-	$(COMPILE.c) -o $@ $<
-	$(CTFCONVERT_O)
-
-$(OBJS_DIR)/%.o:		$(UTSBASE)/common/io/urf/%.c
-	$(COMPILE.c) -o $@ $<
-	$(CTFCONVERT_O)
-
 $(OBJS_DIR)/%.o:		$(UTSBASE)/common/io/vuidmice/%.c
 	$(COMPILE.c) -o $@ $<
 	$(CTFCONVERT_O)
@@ -1536,14 +1471,9 @@
 	$(COMPILE.c) -o $@ $<
 	$(CTFCONVERT_O)
 
-$(OBJS_DIR)/%.o:		$(COMMONBASE)/idspace/%.c
-	$(COMPILE.c) -o $@ $<
-	$(CTFCONVERT_O)
-
 $(OBJS_DIR)/%.o:		$(UTSBASE)/common/io/vioif/%.c
 	$(COMPILE.c) -o $@ $<
 	$(CTFCONVERT_O)
-
 #
 # krtld must refer to its own bzero/bcopy until the kernel is fully linked
 #
@@ -1612,10 +1542,6 @@
 	$(COMPILE.c) -o $@ $<
 	$(CTFCONVERT_O)
 
-$(OBJS_DIR)/%.o:		$(UTSBASE)/common/refhash/%.c
-	$(COMPILE.c) -o $@ $<
-	$(CTFCONVERT_O)
-
 $(OBJS_DIR)/%.o:		$(UTSBASE)/common/rpc/%.c
 	$(COMPILE.c) -o $@ $<
 	$(CTFCONVERT_O)
@@ -1739,9 +1665,6 @@
 $(LINTS_DIR)/%.ln:		$(COMMONBASE)/avl/%.c
 	@($(LHEAD) $(LINT.c) $< $(LTAIL))
 
-$(LINTS_DIR)/%.ln:		$(COMMONBASE)/inet/%.c
-	@($(LHEAD) $(LINT.c) $< $(LTAIL))
-
 $(LINTS_DIR)/%.ln:		$(COMMONBASE)/ucode/%.c
 	@($(LHEAD) $(LINT.c) $< $(LTAIL))
 
@@ -1877,9 +1800,6 @@
 $(LINTS_DIR)/%.ln:		$(UTSBASE)/common/fs/hsfs/%.c
 	@($(LHEAD) $(LINT.c) $< $(LTAIL))
 
-$(LINTS_DIR)/%.ln:		$(UTSBASE)/common/fs/hyprlofs/%.c
-	@($(LHEAD) $(LINT.c) $< $(LTAIL))
-
 $(LINTS_DIR)/%.ln:		$(UTSBASE)/common/fs/lofs/%.c
 	@($(LHEAD) $(LINT.c) $< $(LTAIL))
 
@@ -2231,9 +2151,6 @@
 $(LINTS_DIR)/%.ln:		$(UTSBASE)/common/io/drm/%.c
 	@($(LHEAD) $(LINT.c) $< $(LTAIL))
 
-$(LINTS_DIR)/%.ln:		$(UTSBASE)/common/io/dr_sas/%.c
-	@($(LHEAD) $(LINT.c) $< $(LTAIL))
-
 $(LINTS_DIR)/%.ln:		$(UTSBASE)/common/io/efe/%.c
 	@($(LHEAD) $(LINT.c) $< $(LTAIL))
 
@@ -2405,9 +2322,6 @@
 $(LINTS_DIR)/%.ln:		$(UTSBASE)/common/io/net80211/%.c
 	@($(LHEAD) $(LINT.c) $< $(LTAIL))
 
-$(LINTS_DIR)/%.ln:		$(UTSBASE)/common/io/nfp/%.c
-	@($(LHEAD) $(LINT.c) $< $(LTAIL))
-
 $(LINTS_DIR)/%.ln:              $(UTSBASE)/common/io/nge/%.c
 	@($(LHEAD) $(LINT.c) $< $(LTAIL))
 
@@ -2423,12 +2337,6 @@
 $(LINTS_DIR)/%.ln:		$(UTSBASE)/common/io/nxge/npi/%.c
 	@($(LHEAD) $(LINT.c) $< $(LTAIL))
 
-$(LINTS_DIR)/%.ln:		$(UTSBASE)/common/io/overlay/%.c
-	@($(LHEAD) $(LINT.c) $< $(LTAIL))
-
-$(LINTS_DIR)/%.ln:		$(UTSBASE)/common/io/overlay/plugins/%.c
-	@($(LHEAD) $(LINT.c) $< $(LTAIL))
-
 $(LINTS_DIR)/%.ln:		$(UTSBASE)/common/io/pci-ide/%.c
 	@($(LHEAD) $(LINT.c) $< $(LTAIL))
 
@@ -2495,9 +2403,6 @@
 $(LINTS_DIR)/%.ln:		$(UTSBASE)/common/io/scsi/adapters/scsi_vhci/fops/%.c
 	@($(LHEAD) $(LINT.c) $< $(LTAIL))
 
-$(LINTS_DIR)/%.ln:		$(UTSBASE)/common/io/scsi/adapters/smrt/%.c
-	@($(LHEAD) $(LINT.c) $< $(LTAIL))
-
 $(LINTS_DIR)/%.ln:		$(UTSBASE)/common/io/fibre-channel/ulp/%.c
 	@($(LHEAD) $(LINT.c) $< $(LTAIL))
 
@@ -2639,21 +2544,6 @@
 $(LINTS_DIR)/%.ln:		$(UTSBASE)/common/io/usb/usba10/%.c
 	@($(LHEAD) $(LINT.c) $< $(LTAIL))
 
-$(LINTS_DIR)/%.ln:		$(UTSBASE)/common/io/usbgem/%.c
-	@($(LHEAD) $(LINT.c) $< $(LTAIL))
-
-$(LINTS_DIR)/%.ln:		$(UTSBASE)/common/io/axf/%.c
-	@($(LHEAD) $(LINT.c) $< $(LTAIL))
-
-$(LINTS_DIR)/%.ln:		$(UTSBASE)/common/io/udmf/%.c
-	@($(LHEAD) $(LINT.c) $< $(LTAIL))
-
-$(LINTS_DIR)/%.ln:		$(UTSBASE)/common/io/upf/%.c
-	@($(LHEAD) $(LINT.c) $< $(LTAIL))
-
-$(LINTS_DIR)/%.ln:		$(UTSBASE)/common/io/urf/%.c
-	@($(LHEAD) $(LINT.c) $< $(LTAIL))
-
 $(LINTS_DIR)/%.ln:		$(UTSBASE)/common/io/vuidmice/%.c
 	@($(LHEAD) $(LINT.c) $< $(LTAIL))
 
@@ -2807,9 +2697,6 @@
 $(LINTS_DIR)/%.ln:		$(UTSBASE)/common/pcmcia/pcs/%.c
 	@($(LHEAD) $(LINT.c) $< $(LTAIL))
 
-$(LINTS_DIR)/%.ln:		$(UTSBASE)/common/refhash/%.c
-	@($(LHEAD) $(LINT.c) $< $(LTAIL))
-
 $(LINTS_DIR)/%.ln:		$(UTSBASE)/common/rpc/%.c
 	@($(LHEAD) $(LINT.c) $< $(LTAIL))
 
@@ -2902,7 +2789,4 @@
 	@($(LHEAD) $(LINT.c) $< $(LTAIL))
 
 $(LINTS_DIR)/%.ln:		$(COMMONBASE)/fsreparse/%.c
-	@($(LHEAD) $(LINT.c) $< $(LTAIL))
-
-$(LINTS_DIR)/%.ln:		$(COMMONBASE)/idspace/%.c
 	@($(LHEAD) $(LINT.c) $< $(LTAIL))
--- old/usr/src/uts/common/brand/lx/autofs/lx_autofs.c	Wed Oct  5 00:33:32 2016
+++ new/usr/src/uts/common/brand/lx/autofs/lx_autofs.c	Wed Oct  5 00:33:32 2016
@@ -88,6 +88,7 @@
 	uint32_t lad_ioctlfd;
 	uint32_t lad_arg1;
 	uint32_t lad_arg2;
+	/* LINTED - C99 construct. */
 	char	lad_path[0];
 } lx_autofs_dv_ioctl_t;
 
@@ -1518,7 +1519,7 @@
 	}
 	mutex_exit(&pidlock);
 
-	switch (cmd) {
+	switch ((unsigned int)cmd) {
 	case LX_AUTOFS_IOC_READY:
 		if ((err = lx_autofs_ack(id, vp->v_vfsp, LXACR_READY)) != 0)
 			return (err);
@@ -1570,7 +1571,8 @@
 		return (ENOTSUP);
 
 	case LX_AUTOFS_IOC_EXPIRE_MULTI:
-		lx_autofs_expire(vp->v_vfsp, cr);
+		/* Should we return lx_autofs_expire()'s value instead? */
+		(void) lx_autofs_expire(vp->v_vfsp, cr);
 		return (EAGAIN);
 
 	default:
@@ -2851,7 +2853,7 @@
 	if (fnd_vfs->vfs_op == lx_autofs_vfsops) {
 		dc->lad_arg2 = LX_AUTOFS_SB_MAGIC;
 	} else {
-		dc->lad_arg2 = ~LX_AUTOFS_SB_MAGIC;
+		dc->lad_arg2 = ~((uint32_t)LX_AUTOFS_SB_MAGIC);
 	}
 
 	VFS_RELE(fnd_vfs);
@@ -2901,7 +2903,12 @@
 lx_autofs_dev_ioctl(dev_t dev, int cmd, intptr_t arg, int mode, cred_t *credp,
     int *rvalp)
 {
-	switch (cmd) {
+	/*
+	 * Many of these constants are negative for a signed int.
+	 * Cast "cmd" to unsigned to prevent lint errors and not have any
+	 * other problems.
+	 */
+	switch ((unsigned int)cmd) {
 	case LX_AUTOFS_DEV_IOC_VERSION_CMD:
 		return (lx_autofs_dev_vers(arg));
 
No differences encountered
No differences encountered
No differences encountered
No differences encountered
No differences encountered
No differences encountered
No differences encountered
No differences encountered
No differences encountered
No differences encountered
No differences encountered
No differences encountered
No differences encountered
No differences encountered
No differences encountered
No differences encountered
No differences encountered
No differences encountered
No differences encountered
No differences encountered
--- old/usr/src/uts/common/brand/lx/os/lx_syscall.c	Wed Oct  5 00:33:34 2016
+++ new/usr/src/uts/common/brand/lx/os/lx_syscall.c	Wed Oct  5 00:33:34 2016
@@ -263,6 +263,8 @@
 	 * emulated Linux system call:
 	 */
 	lwp->lwp_eosys = JUSTRETURN;
+	curthread->t_post_sys = 1;
+	aston(curthread);
 }
 
 static void
--- old/usr/src/uts/common/brand/lx/procfs/lx_proc.h	Wed Oct  5 00:33:34 2016
+++ new/usr/src/uts/common/brand/lx/procfs/lx_proc.h	Wed Oct  5 00:33:34 2016
@@ -200,7 +200,6 @@
 	LXPR_SWAPS,		/* /proc/swaps		*/
 	LXPR_SYSDIR,		/* /proc/sys/		*/
 	LXPR_SYS_FSDIR,		/* /proc/sys/fs/	*/
-	LXPR_SYS_FS_FILEMAX,	/* /proc/sys/fs/file-max */
 	LXPR_SYS_FS_INOTIFYDIR,	/* /proc/sys/fs/inotify	*/
 	LXPR_SYS_FS_INOTIFY_MAX_QUEUED_EVENTS,	/* inotify/max_queued_events */
 	LXPR_SYS_FS_INOTIFY_MAX_USER_INSTANCES,	/* inotify/max_user_instances */
@@ -228,11 +227,8 @@
 	LXPR_SYS_NET_IPV4_TCP_FIN_TO,	/* /proc/sys/net/ipv4/tcp_fin_timeout */
 	LXPR_SYS_NET_IPV4_TCP_KA_INT,	/* .../net/ipv4/tcp_keepalive_intvl */
 	LXPR_SYS_NET_IPV4_TCP_KA_TIM,	/* .../net/ipv4/tcp_keepalive_time */
-	LXPR_SYS_NET_IPV4_TCP_MAX_SYN_BL, /* .../net/ipv4/tcp_max_syn_backlog */
-	LXPR_SYS_NET_IPV4_TCP_RMEM,	/* /proc/sys/net/ipv4/tcp_rmem */
 	LXPR_SYS_NET_IPV4_TCP_SACK,	/* /proc/sys/net/ipv4/tcp_sack */
 	LXPR_SYS_NET_IPV4_TCP_WINSCALE,	/* .../net/ipv4/tcp_window_scaling */
-	LXPR_SYS_NET_IPV4_TCP_WMEM,	/* /proc/sys/net/ipv4/tcp_wmem */
 	LXPR_SYS_VMDIR,			/* /proc/sys/vm			*/
 	LXPR_SYS_VM_MAX_MAP_CNT,	/* /proc/sys/vm/max_map_count	*/
 	LXPR_SYS_VM_MINFR_KB,		/* /proc/sys/vm/min_free_kbytes	*/
No differences encountered
No differences encountered
--- old/usr/src/uts/common/brand/lx/procfs/lx_prvnops.c	Wed Oct  5 00:33:34 2016
+++ new/usr/src/uts/common/brand/lx/procfs/lx_prvnops.c	Wed Oct  5 00:33:34 2016
@@ -68,7 +68,6 @@
 #include <sys/cred_impl.h>
 #include <sys/tihdr.h>
 #include <sys/corectl.h>
-#include <sys/rctl_impl.h>
 #include <inet/ip.h>
 #include <inet/ip_ire.h>
 #include <inet/ip6.h>
@@ -217,7 +216,6 @@
 static void lxpr_read_net_udp(lxpr_node_t *, lxpr_uiobuf_t *);
 static void lxpr_read_net_udp6(lxpr_node_t *, lxpr_uiobuf_t *);
 static void lxpr_read_net_unix(lxpr_node_t *, lxpr_uiobuf_t *);
-static void lxpr_read_sys_fs_filemax(lxpr_node_t *, lxpr_uiobuf_t *);
 static void lxpr_read_sys_fs_inotify_max_queued_events(lxpr_node_t *,
     lxpr_uiobuf_t *);
 static void lxpr_read_sys_fs_inotify_max_user_instances(lxpr_node_t *,
@@ -243,9 +241,6 @@
 static void lxpr_read_sys_net_ipv4_tcp_fin_to(lxpr_node_t *, lxpr_uiobuf_t *);
 static void lxpr_read_sys_net_ipv4_tcp_ka_int(lxpr_node_t *, lxpr_uiobuf_t *);
 static void lxpr_read_sys_net_ipv4_tcp_ka_tim(lxpr_node_t *, lxpr_uiobuf_t *);
-static void lxpr_read_sys_net_ipv4_tcp_max_syn_bl(lxpr_node_t *,
-    lxpr_uiobuf_t *);
-static void lxpr_read_sys_net_ipv4_tcp_rwmem(lxpr_node_t *, lxpr_uiobuf_t *);
 static void lxpr_read_sys_net_ipv4_tcp_sack(lxpr_node_t *, lxpr_uiobuf_t *);
 static void lxpr_read_sys_net_ipv4_tcp_winscale(lxpr_node_t *, lxpr_uiobuf_t *);
 static void lxpr_read_sys_vm_max_map_cnt(lxpr_node_t *, lxpr_uiobuf_t *);
@@ -266,10 +261,6 @@
     cred_t *, caller_context_t *);
 static int lxpr_write_sys_net_ipv4_tcp_ka_tim(lxpr_node_t *, uio_t *,
     cred_t *, caller_context_t *);
-static int lxpr_write_sys_net_ipv4_tcp_max_syn_bl(lxpr_node_t *, uio_t *,
-    cred_t *, caller_context_t *);
-static int lxpr_write_sys_net_ipv4_tcp_rwmem(lxpr_node_t *, uio_t *,
-    cred_t *, caller_context_t *);
 static int lxpr_write_sys_net_ipv4_tcp_sack(lxpr_node_t *, uio_t *,
     cred_t *, caller_context_t *);
 static int lxpr_write_sys_net_ipv4_tcp_winscale(lxpr_node_t *, uio_t *,
@@ -292,7 +283,6 @@
 extern rctl_hndl_t rc_zone_msgmni;
 extern rctl_hndl_t rc_zone_shmmax;
 extern rctl_hndl_t rc_zone_shmmni;
-#define	ONEGB	1073741824ULL
 #define	FOURGB	4294967295ULL
 
 /*
@@ -495,7 +485,6 @@
  * contents of /proc/sys/fs directory
  */
 static lxpr_dirent_t sys_fsdir[] = {
-	{ LXPR_SYS_FS_FILEMAX,		"file-max" },
 	{ LXPR_SYS_FS_INOTIFYDIR,	"inotify" },
 };
 
@@ -573,11 +562,8 @@
 	{ LXPR_SYS_NET_IPV4_TCP_FIN_TO,	"tcp_fin_timeout" },
 	{ LXPR_SYS_NET_IPV4_TCP_KA_INT,	"tcp_keepalive_intvl" },
 	{ LXPR_SYS_NET_IPV4_TCP_KA_TIM,	"tcp_keepalive_time" },
-	{ LXPR_SYS_NET_IPV4_TCP_MAX_SYN_BL, "tcp_max_syn_backlog" },
-	{ LXPR_SYS_NET_IPV4_TCP_RMEM,	"tcp_rmem" },
 	{ LXPR_SYS_NET_IPV4_TCP_SACK,	"tcp_sack" },
 	{ LXPR_SYS_NET_IPV4_TCP_WINSCALE, "tcp_window_scaling" },
-	{ LXPR_SYS_NET_IPV4_TCP_WMEM,	"tcp_wmem" },
 };
 
 #define	SYS_NET_IPV4DIRFILES \
@@ -615,7 +601,6 @@
 	{LXPR_PID_OOM_SCR_ADJ, NULL},
 	{LXPR_PID_TID_FD_FD, NULL},
 	{LXPR_PID_TID_OOM_SCR_ADJ, NULL},
-	{LXPR_SYS_FS_FILEMAX, NULL},
 	{LXPR_SYS_KERNEL_COREPATT, lxpr_write_sys_kernel_corepatt},
 	{LXPR_SYS_KERNEL_SHMALL, NULL},
 	{LXPR_SYS_KERNEL_SHMMAX, NULL},
@@ -625,12 +610,8 @@
 	{LXPR_SYS_NET_IPV4_TCP_FIN_TO, lxpr_write_sys_net_ipv4_tcp_fin_to},
 	{LXPR_SYS_NET_IPV4_TCP_KA_INT, lxpr_write_sys_net_ipv4_tcp_ka_int},
 	{LXPR_SYS_NET_IPV4_TCP_KA_TIM, lxpr_write_sys_net_ipv4_tcp_ka_tim},
-	{LXPR_SYS_NET_IPV4_TCP_MAX_SYN_BL,
-	    lxpr_write_sys_net_ipv4_tcp_max_syn_bl},
-	{LXPR_SYS_NET_IPV4_TCP_RMEM, lxpr_write_sys_net_ipv4_tcp_rwmem},
 	{LXPR_SYS_NET_IPV4_TCP_SACK, lxpr_write_sys_net_ipv4_tcp_sack},
 	{LXPR_SYS_NET_IPV4_TCP_WINSCALE, lxpr_write_sys_net_ipv4_tcp_winscale},
-	{LXPR_SYS_NET_IPV4_TCP_WMEM, lxpr_write_sys_net_ipv4_tcp_rwmem},
 	{LXPR_SYS_VM_OVERCOMMIT_MEM, NULL},
 	{LXPR_SYS_VM_SWAPPINESS, NULL},
 	{LXPR_INVALID, NULL}
@@ -826,7 +807,6 @@
 	lxpr_read_swaps,		/* /proc/swaps		*/
 	lxpr_read_invalid,		/* /proc/sys		*/
 	lxpr_read_invalid,		/* /proc/sys/fs		*/
-	lxpr_read_sys_fs_filemax,	/* /proc/sys/fs/file-max */
 	lxpr_read_invalid,		/* /proc/sys/fs/inotify	*/
 	lxpr_read_sys_fs_inotify_max_queued_events, /* max_queued_events */
 	lxpr_read_sys_fs_inotify_max_user_instances, /* max_user_instances */
@@ -854,11 +834,8 @@
 	lxpr_read_sys_net_ipv4_tcp_fin_to, /* .../ipv4/tcp_fin_timeout */
 	lxpr_read_sys_net_ipv4_tcp_ka_int, /* .../ipv4/tcp_keepalive_intvl */
 	lxpr_read_sys_net_ipv4_tcp_ka_tim, /* .../ipv4/tcp_keepalive_time */
-	lxpr_read_sys_net_ipv4_tcp_max_syn_bl, /* ../ipv4/tcp_max_syn_backlog */
-	lxpr_read_sys_net_ipv4_tcp_rwmem, /* .../ipv4/tcp_rmem */
 	lxpr_read_sys_net_ipv4_tcp_sack, /* .../ipv4/tcp_sack */
 	lxpr_read_sys_net_ipv4_tcp_winscale, /* .../ipv4/tcp_window_scaling */
-	lxpr_read_sys_net_ipv4_tcp_rwmem, /* .../ipv4/tcp_wmem */
 	lxpr_read_invalid,		/* /proc/sys/vm	*/
 	lxpr_read_sys_vm_max_map_cnt,	/* /proc/sys/vm/max_map_count */
 	lxpr_read_sys_vm_minfr_kb,	/* /proc/sys/vm/min_free_kbytes */
@@ -966,7 +943,6 @@
 	lxpr_lookup_not_a_dir,		/* /proc/swaps		*/
 	lxpr_lookup_sysdir,		/* /proc/sys		*/
 	lxpr_lookup_sys_fsdir,		/* /proc/sys/fs		*/
-	lxpr_lookup_not_a_dir,		/* /proc/sys/fs/file-max */
 	lxpr_lookup_sys_fs_inotifydir,	/* /proc/sys/fs/inotify	*/
 	lxpr_lookup_not_a_dir,		/* .../inotify/max_queued_events */
 	lxpr_lookup_not_a_dir,		/* .../inotify/max_user_instances */
@@ -994,11 +970,8 @@
 	lxpr_lookup_not_a_dir,		/* .../net/ipv4/tcp_fin_timeout */
 	lxpr_lookup_not_a_dir,		/* .../net/ipv4/tcp_keepalive_intvl */
 	lxpr_lookup_not_a_dir,		/* .../net/ipv4/tcp_keepalive_time */
-	lxpr_lookup_not_a_dir,		/* .../net/ipv4/tcp_max_syn_backlog */
-	lxpr_lookup_not_a_dir,		/* .../net/ipv4/tcp_rmem */
 	lxpr_lookup_not_a_dir,		/* .../net/ipv4/tcp_sack */
 	lxpr_lookup_not_a_dir,		/* .../net/ipv4/tcp_window_scaling */
-	lxpr_lookup_not_a_dir,		/* .../net/ipv4/tcp_wmem */
 	lxpr_lookup_sys_vmdir,		/* /proc/sys/vm */
 	lxpr_lookup_not_a_dir,		/* /proc/sys/vm/max_map_count */
 	lxpr_lookup_not_a_dir,		/* /proc/sys/vm/min_free_kbytes */
@@ -1106,7 +1079,6 @@
 	lxpr_readdir_not_a_dir,		/* /proc/swaps		*/
 	lxpr_readdir_sysdir,		/* /proc/sys		*/
 	lxpr_readdir_sys_fsdir,		/* /proc/sys/fs		*/
-	lxpr_readdir_not_a_dir,		/* /proc/sys/fs/file-max */
 	lxpr_readdir_sys_fs_inotifydir,	/* /proc/sys/fs/inotify	*/
 	lxpr_readdir_not_a_dir,		/* .../inotify/max_queued_events */
 	lxpr_readdir_not_a_dir,		/* .../inotify/max_user_instances */
@@ -1134,11 +1106,8 @@
 	lxpr_readdir_not_a_dir,		/* .../net/ipv4/tcp_fin_timeout */
 	lxpr_readdir_not_a_dir,		/* .../net/ipv4/tcp_keepalive_intvl */
 	lxpr_readdir_not_a_dir,		/* .../net/ipv4/tcp_keepalive_time */
-	lxpr_readdir_not_a_dir,		/* .../net/ipv4/tcp_max_syn_backlog */
-	lxpr_readdir_not_a_dir,		/* .../net/ipv4/tcp_rmem */
 	lxpr_readdir_not_a_dir,		/* .../net/ipv4/tcp_sack */
 	lxpr_readdir_not_a_dir,		/* .../net/ipv4/tcp_window_scaling */
-	lxpr_readdir_not_a_dir,		/* .../net/ipv4/tcp_wmem */
 	lxpr_readdir_sys_vmdir,		/* /proc/sys/vm */
 	lxpr_readdir_not_a_dir,		/* /proc/sys/vm/max_map_count */
 	lxpr_readdir_not_a_dir,		/* /proc/sys/vm/min_free_kbytes */
@@ -4384,27 +4353,6 @@
 }
 
 /*
- * lxpr_read_sys_fs_filemax():
- *
- * The zone's total number of open files is not fixed or tunable, but we can
- * provide a number by taking:
- * (zone's proc limit) * (process.max-file-descriptor rctl privileged limit).
- * The privileged rctl limit is the same as rlim_fd_max.
- */
-/* ARGSUSED */
-static void
-lxpr_read_sys_fs_filemax(lxpr_node_t *lxpnp, lxpr_uiobuf_t *uiobuf)
-{
-	uint64_t max_fh, proc_lim;
-
-	ASSERT(lxpnp->lxpr_type == LXPR_SYS_FS_FILEMAX);
-	proc_lim = (uint64_t)(curzone->zone_nprocs_ctl == INT_MAX ?
-	    maxpid : curzone->zone_nprocs_ctl);
-	max_fh = proc_lim * (uint64_t)rlim_fd_max;
-	lxpr_uiobuf_printf(uiobuf, "%llu\n", max_fh);
-}
-
-/*
  * inotify tunables exported via /proc.
  */
 extern int inotify_maxevents;
@@ -4855,77 +4803,6 @@
 }
 
 /*
- * tcp_max_syn_backlog
- *
- * The number of half-open connections that can be kept by the backlog queue.
- * See the Linux tcp(7) man page.
- *
- * illumos: tcp_conn_req_max_q0
- */
-/* ARGSUSED */
-static void
-lxpr_read_sys_net_ipv4_tcp_max_syn_bl(lxpr_node_t *lxpnp, lxpr_uiobuf_t *uiobuf)
-{
-	netstack_t	*ns;
-	tcp_stack_t	*tcps;
-
-	ASSERT(lxpnp->lxpr_type == LXPR_SYS_NET_IPV4_TCP_MAX_SYN_BL);
-
-	ns = netstack_get_current();
-	if (ns == NULL) {
-		lxpr_uiobuf_seterr(uiobuf, ENXIO);
-		return;
-	}
-
-	tcps = ns->netstack_tcp;
-	lxpr_uiobuf_printf(uiobuf, "%d\n", tcps->tcps_conn_req_max_q0);
-	netstack_rele(ns);
-}
-
-/*
- * tcp_rmem and tcp_wmem
- *
- * Display the minimum, default, and maximum TCP receive/transmit window sizes,
- * in bytes. See the Linux tcp(7) man page.
- *
- * In illumos this roughly corresponds to: tcp_recv_hiwat or tcp_xmit_hiwat,
- * and tcp_max_buf.
- *    tcp_recv_hiwat is the default TCP receive window size
- *    tcp_xmit_hiwat is the default TCP send window size
- *    tcp_max_buf is the maximum TCP send and receive buffer size
- */
-/* ARGSUSED */
-static void
-lxpr_read_sys_net_ipv4_tcp_rwmem(lxpr_node_t *lxpnp, lxpr_uiobuf_t *uiobuf)
-{
-	netstack_t	*ns;
-	tcp_stack_t	*tcps;
-	uint_t		min;
-
-	ASSERT(lxpnp->lxpr_type == LXPR_SYS_NET_IPV4_TCP_RMEM ||
-	    lxpnp->lxpr_type == LXPR_SYS_NET_IPV4_TCP_WMEM);
-
-	ns = netstack_get_current();
-	if (ns == NULL) {
-		lxpr_uiobuf_seterr(uiobuf, ENXIO);
-		return;
-	}
-
-	tcps = ns->netstack_tcp;
-
-	/* Linux defaults to a page */
-	min = MIN((lxpnp->lxpr_type == LXPR_SYS_NET_IPV4_TCP_RMEM ?
-	    tcps->tcps_recv_hiwat : tcps->tcps_xmit_hiwat), PAGESIZE);
-
-	lxpr_uiobuf_printf(uiobuf, "%d\t%d\t%d\n",
-	    min,
-	    (lxpnp->lxpr_type == LXPR_SYS_NET_IPV4_TCP_RMEM ?
-	    tcps->tcps_recv_hiwat : tcps->tcps_xmit_hiwat),
-	    tcps->tcps_max_buf);
-	netstack_rele(ns);
-}
-
-/*
  * tcp_sack
  *
  * Enable RFC 2018 TCP Selective Acknowledgements. Boolean, default: enabled
@@ -7034,109 +6911,7 @@
 	return (res);
 }
 
-/*
- * We expect three numbers on a line as input for the range, and we have to
- * set two properties on the netstack_tcp, so we can't reuse
- * lxpr_write_tcp_property.
- *
- * See the Linux tcp(7) man page.
- */
-/* ARGSUSED */
 static int
-lxpr_write_sys_net_ipv4_tcp_rwmem(lxpr_node_t *lxpnp, struct uio *uio,
-    struct cred *cr, caller_context_t *ct)
-{
-	int res;
-	size_t olen;
-	char vals[80];	/* big enough for a line w/ 3 numeric strings */
-	char *ep;
-	long min, def, max, min_limit;
-	netstack_t *ns;
-	tcp_stack_t *tcps;
-	mod_prop_info_t *ptbl;
-	mod_prop_info_t *pinfo;
-	char *attr;
-
-	ASSERT(lxpnp->lxpr_type == LXPR_SYS_NET_IPV4_TCP_RMEM ||
-	    lxpnp->lxpr_type == LXPR_SYS_NET_IPV4_TCP_WMEM);
-
-	if (uio->uio_loffset != 0)
-		return (EINVAL);
-
-	if (uio->uio_resid == 0)
-		return (0);
-
-	olen = uio->uio_resid;
-	if (olen > sizeof (vals) - 1)
-		return (EINVAL);
-
-	bzero(vals, sizeof (vals));
-	res = uiomove(vals, olen, UIO_WRITE, uio);
-	if (res != 0)
-		return (res);
-
-	if (lxpr_tokenize_num(vals, &min, &ep) != 0)
-		return (EINVAL);
-
-	if (lxpr_tokenize_num(ep, &def, &ep) != 0)
-		return (EINVAL);
-
-	if (lxpr_tokenize_num(ep, &max, &ep) != 0)
-		return (EINVAL);
-
-	if (*ep != '\0') {
-		/* make sure no other tokens on the line */
-		*ep++ = '\0';
-		for (; isspace(*ep); ep++)
-			;
-		if (*ep != '\0')
-			return (EINVAL);
-	}
-
-	/*
-	 * Ensure the numbers are valid, low to high.
-	 * Valid ranges from the tunable's guide.
-	 */
-	min_limit = (lxpnp->lxpr_type == LXPR_SYS_NET_IPV4_TCP_RMEM ?
-	    2048 : 4096);
-	if (min > def || def > max || min < min_limit ||
-	    def > ONEGB || max < 8192)
-		return (EINVAL);
-
-	ns = netstack_get_current();
-	if (ns == NULL)
-		return (EINVAL);
-
-	tcps = ns->netstack_tcp;
-
-	/* recv_hiwat and xmit_hiwat are aliased to recv_buf and send_buf. */
-	attr = (lxpnp->lxpr_type == LXPR_SYS_NET_IPV4_TCP_RMEM ?
-	    "recv_buf" : "send_buf");
-
-	(void) snprintf(vals, sizeof (vals), "%ld", def);
-	ptbl = ns->netstack_tcp->tcps_propinfo_tbl;
-	pinfo = mod_prop_lookup(ptbl, attr, MOD_PROTO_TCP);
-	if (pinfo == NULL ||
-	    pinfo->mpi_setf(ns, cr, pinfo, NULL, vals, 0) != 0)
-		res = EINVAL;
-
-	/*
-	 * Don't reduce max for one side (recv or xmit) since that impacts the
-	 * other.
-	 */
-	if (res == 0 && max > tcps->tcps_max_buf) {
-		(void) snprintf(vals, sizeof (vals), "%ld", max);
-		pinfo = mod_prop_lookup(ptbl, "max_buf", MOD_PROTO_TCP);
-		if (pinfo == NULL ||
-		    pinfo->mpi_setf(ns, cr, pinfo, NULL, vals, 0) != 0)
-			res = EINVAL;
-	}
-
-	netstack_rele(ns);
-	return (res);
-}
-
-static int
 lxpr_write_sys_net_ipv4_tcp_fin_to(lxpr_node_t *lxpnp, struct uio *uio,
     struct cred *cr, caller_context_t *ct)
 {
@@ -7163,15 +6938,6 @@
 	    "_keepalive_interval", lxpr_xlate_sec2ms));
 }
 
-static int
-lxpr_write_sys_net_ipv4_tcp_max_syn_bl(lxpr_node_t *lxpnp, struct uio *uio,
-    struct cred *cr, caller_context_t *ct)
-{
-	ASSERT(lxpnp->lxpr_type == LXPR_SYS_NET_IPV4_TCP_MAX_SYN_BL);
-	return (lxpr_write_tcp_property(lxpnp, uio, cr, ct,
-	    "_conn_req_max_q0", NULL));
-}
-
 static int
 lxpr_write_sys_net_ipv4_tcp_sack(lxpr_node_t *lxpnp, struct uio *uio,
     struct cred *cr, caller_context_t *ct)
No differences encountered
No differences encountered
No differences encountered
No differences encountered
No differences encountered
No differences encountered
No differences encountered
No differences encountered
No differences encountered
No differences encountered
No differences encountered
No differences encountered
No differences encountered
No differences encountered
No differences encountered
No differences encountered
No differences encountered
No differences encountered
No differences encountered
No differences encountered
No differences encountered
No differences encountered
No differences encountered
No differences encountered
--- old/usr/src/uts/common/brand/lx/syscall/lx_epoll.c	Wed Oct  5 00:33:37 2016
+++ new/usr/src/uts/common/brand/lx/syscall/lx_epoll.c	Wed Oct  5 00:33:37 2016
@@ -191,39 +191,16 @@
 	error = VOP_WRITE(fp->f_vnode, &auio, 1, fp->f_cred, NULL);
 
 	releasef(fd);
-
-	switch (error) {
-	case 0:
-		return (0);
-
-	case EBADF:
-	case EEXIST:
-	case EINVAL:
-	case ENOENT:
-	case ENOMEM:
-	case ENOSPC:
-	case EPERM:
+	if (error == ELOOP) {
 		/*
-		 * Legal errors should pass straight through.
-		 */
-		return (set_errno(error));
-
-	case ELOOP:
-		/*
 		 * In the case of descriptor loops, /dev/poll emits a more
 		 * descriptive error than Linux epoll consumers would expect.
 		 */
 		return (set_errno(EINVAL));
-
-	default:
-		/*
-		 * While devpoll itself should not emit unexpected errors, it
-		 * is possible that a VOP_POLL handler might.  There is little
-		 * choice but to map these unexpected errors to something which
-		 * is valid for epoll_ctl.
-		 */
-		return (set_errno(ENOMEM));
+	} else if (error != 0) {
+		return (set_errno(error));
 	}
+	return (0);
 }
 
 long
No differences encountered
No differences encountered
No differences encountered
No differences encountered
No differences encountered
No differences encountered
No differences encountered
No differences encountered
No differences encountered
No differences encountered
No differences encountered
No differences encountered
No differences encountered
No differences encountered
--- old/usr/src/uts/common/brand/lx/syscall/lx_miscsys.c	Wed Oct  5 00:33:38 2016
+++ new/usr/src/uts/common/brand/lx/syscall/lx_miscsys.c	Wed Oct  5 00:33:38 2016
@@ -278,12 +278,5 @@
 {
 	if (crgetuid(CRED()) != 0)
 		return (set_errno(EPERM));
-
-	/*
-	 * The native vhangup code does nothing except check for the sys_config
-	 * privilege. Eventually we'll first want to check our emulation for the
-	 * Linux CAP_SYS_TTY_CONFIG capability, but currently, since we've
-	 * already checked that our process is root, just succeed.
-	 */
-	return (0);
+	return (vhangup());
 }
No differences encountered
No differences encountered
No differences encountered
No differences encountered
No differences encountered
No differences encountered
No differences encountered
No differences encountered
No differences encountered
No differences encountered
No differences encountered
No differences encountered
No differences encountered
No differences encountered
No differences encountered
No differences encountered
No differences encountered
No differences encountered
No differences encountered
No differences encountered
No differences encountered
No differences encountered
No differences encountered
No differences encountered
No differences encountered
No differences encountered
No differences encountered
--- old/usr/src/uts/common/brand/sn1/sn1_brand.c	Wed Oct  5 00:33:40 2016
+++ new/usr/src/uts/common/brand/sn1/sn1_brand.c	Wed Oct  5 00:33:40 2016
@@ -213,6 +213,7 @@
 	brand_solaris_exec(&sn1_brand);
 }
 
+/* ARGSUSED */
 void
 sn1_initlwp(klwp_t *l, void *bd)
 {
No differences encountered
--- old/usr/src/uts/common/brand/solaris10/s10_brand.c	Wed Oct  5 00:33:40 2016
+++ new/usr/src/uts/common/brand/solaris10/s10_brand.c	Wed Oct  5 00:33:40 2016
@@ -368,6 +368,7 @@
 	brand_solaris_exec(&s10_brand);
 }
 
+/* ARGSUSED */
 void
 s10_initlwp(klwp_t *l, void *bd)
 {
@@ -410,6 +411,7 @@
 	kmem_free(zone->zone_brand_data, sizeof (s10_zone_data_t));
 }
 
+/* ARGSUSED */
 void
 s10_init_brand_data(zone_t *zone, kmutex_t *zsl)
 {
No differences encountered
No differences encountered
No differences encountered
No differences encountered
No differences encountered
No differences encountered
No differences encountered
